Next: A. Palm Friendly Links Up: 5.2 Perl-based Conduit Previous: 5.2 Perl-based Conduit Contents Index

### 5.2.0.1 Usage

OK, enough for the introductory stuff now about the usage of the Perl based conduit. The synopsis:

sync.pl [--name=names --cache=cachedirs [--database] [--port=comport]]

NOTE: On OS/2 and Windows there exists (by default) no mechanism for the shell to determine that this script should be invoked through the Perl interpreter. (On Unix this is specified in the first line of the script, but OS/2 and Windows do not evaluate this information.) For that reason you must specify the call to your Perl interpreter before the call to sync.pl. So it will look like this: `perl sync.pl...`

The parameters

- None: This will work as it did in earlier versions of Plucker since this conduit came up for the first time. It will sync one document called PluckerDB created from files in `$PLUCKERDIR`. This call is really a leftover compatibility to early versions of Plucker so people who used that setup were not required to change there setup on changing the version of Plucker.

- --names=names: Here you specify the name(s) of the document(s) that should be created on your Palm OS handheld device. In case of several names they are separated by spaces.

- --cache=cachedirs: Use it to specify the cache directory used by the document(s). NOTE: If you use several documents there is a 1:1 correspondence between the names and cachedirs, that is the first document will be named using the first name in the names list form the first cache dir in the cache-list. If this is not provided it will stop.

  For your convenience the conduit writes the names and the corresponding directories to the screen. Unlike the other programs and scripts used with Plucker the conduit does not follow the Unix convention of no news is good news but will tell you all its actions in detail.

  NOTE: The conduit checks if there are equal numbers of parameters for names and cache dirs.

- --database: Will not sync to the Palm but create documents instead. NOTE: This routine is implemented through pilot-links Perl-interface which seems to have some bugs in this routine. At least running on OS/2 you do not get a usable document all the time.

- --port=port: You might specify the COM port used for synchronization.

Next: A. Palm Friendly Links Up: 5.2 Perl-based Conduit Previous: 5.2 Perl-based Conduit Contents Index